# next-fullcalendar

### fullcalendar-react, modified to work with Next.js

This package was created for a very specific requirement and differs from the standard release in that it has been modified to work with Next.js by removing the CSS imports within the common, daygrid and timegrid modules and by only including the cjs conformant files. The timegrid, daygrid and interaction plugins are included within this package.

If you will be using the included plugins then include these lines in _app.js:
```
import '@rmcooper/next-fullcalendar/common/main.css'
import '@rmcooper/next-fullcalendar/daygrid/main.css'
import '@rmcooper/next-fullcalendar/timegrid/main.css'
```

And on the page or component that uses FullCalendar, include these lines:
```
import FullCalendar from '@rmcooper/next-fullcalendar'
import dayGridPlugin from '@rmcooper/next-fullcalendar/daygrid'
import timeGridPlugin from '@rmcooper/next-fullcalendar/timegrid'
import interactionPlugin from '@rmcooper/next-fullcalendar/interaction'
```

Then add the plugins to the FullCalendar component as follows:
```
<FullCalendar plugins={[dayGridPlugin, timeGridPlugin, interactionPlugin]} initialView="dayGridMonth" ... />
```

For the complete documentation on FullCalendar visit [FullCalendar.io](https://fullcalendar.io).
